using RMYY_CallCenter_Api.Dal;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RMYY_CallCenter_Api.Bll
{
   public  class T_Wowo_wocodetypebll
    {
        private readonly T_Wowo_wocodetypedal dal = new T_Wowo_wocodetypedal();
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int Addrepairitems(RMYY_CallCenter_Api.Model.T_Wowo_wocodetype model)
        {
            return dal.Addrepairitems(model);
        }
        #region 修改
        /// <summary>
        /// 修改一条院区信息
        /// </summary>
        public bool Updaterepair(RMYY_CallCenter_Api.Model.T_Wowo_wocodetype model)
        {
            return dal.Updaterepair(model);
        }

        #endregion
        #region 删除
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Deleterepair(int id)
        {

            return dal.Deleterepair(id);
        }
        #endregion
        #region 查询
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 获取院区信息
        /// </summary>
        public List<RMYY_CallCenter_Api.Model.T_Wowo_wocodetype> GetListall()
        {
            return dal.GetListall();
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public RMYY_CallCenter_Api.Model.T_Wowo_wocodetype GetModel(int id)
        {
            return dal.GetModel(id);
        }
       
        #endregion
    }
}
